tell application "Evernote"
	set new_attachments to choose file with prompt "Select attachments" with multiple selections allowed
	
	tell application "Finder"
		set new_attachments to sort new_attachments by name
	end tell
	
	set new_note to create note title "New note" with text ""
	
	repeat with new_attachment in new_attachments
		tell application "Finder"
			set new_attachment_string_alias to new_attachment as string
			set new_attachment_path to POSIX path of new_attachment_string_alias
		end tell
		
		append new_note attachment new_attachment_path
	end repeat
end tell


